Bug 188865 - devel/drpython: Update to version 3.11.4
Summary: devel/drpython: Update to version 3.11.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-21 19:10 UTC by tkato432
Modified: 2014-04-26 03:40 UTC (History)
0 users

See Also:


Attachments
file.diff (4.30 KB, patch)
2014-04-21 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-04-21 19:10:03 UTC
- Update to version 3.11.4

New file:
files/patch-drToolBarDialog.py

Remove file:
files/patch-setup.py
Comment 1 Edwin Groothuis freebsd_committer 2014-04-21 19:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2014-04-26 03:33:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-04-26 03:34:00 UTC
Author: miwi
Date: Sat Apr 26 02:33:55 2014
New Revision: 352215
URL: http://svnweb.freebsd.org/changeset/ports/352215
QAT: https://qat.redports.org/buildarchive/r352215/

Log:
  - Update to version 3.11.4
  
  PR:		188865
  Submitted by:	Ports Fury

Added:
  head/devel/drpython/files/patch-drToolBarDialog.py   (contents, props changed)
Deleted:
  head/devel/drpython/files/patch-setup.py
Modified:
  head/devel/drpython/Makefile
  head/devel/drpython/distinfo
  head/devel/drpython/pkg-descr

Modified: head/devel/drpython/Makefile
==============================================================================
--- head/devel/drpython/Makefile	Sat Apr 26 02:32:10 2014	(r352214)
+++ head/devel/drpython/Makefile	Sat Apr 26 02:33:55 2014	(r352215)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	drpython
-PORTVERSION=	3.11.3
-PORTREVISION=	4
+PORTVERSION=	3.11.4
 CATEGORIES=	devel python
 MASTER_SITES=	SF/${PORTNAME}/DrPython%20%283.x%29/${PORTVERSION}
 PKGNAMESUFFIX=	${PYTHON_PKGNAMESUFFIX}
@@ -14,26 +13,43 @@ COMMENT=	Highly customizable cross-platf
 
 LICENSE=	GPLv2
 
-WRKSRC=		${WRKDIR}/DrPython
+BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}sphinx>0:${PORTSDIR}/textproc/py-sphinx
+RUN_DEPENDS=	xdg-open:${PORTSDIR}/devel/xdg-utils
+
+NO_ARCH=	yes
+WRKSRC=		${WRKDIR}/${PORTNAME}
 
 USES=		zip
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	easy_install
 PYDISTUTILS_AUTOPLIST=	yes
 PYDISTUTILS_PKGNAME=	DrPython
-USE_WX=		2.6+
+USE_WX=		2.8
 WX_COMPS=	python:lib
 
-DESKTOP_ENTRIES=	"DrPython" "Python editor and IDE" \
-			"${PYTHONPREFIX_SITELIBDIR}/drpython/bitmaps/drpython.png" \
-			"drpython" "Development;IDE;" "false"
-
 PLIST_FILES=	bin/drpython
 
-NO_STAGE=	yes
-post-install:
+DESKTOP_ENTRIES="DrPython" "Python editor and IDE" \
+		"${PYTHONPREFIX_SITELIBDIR}/drpython/bitmaps/drpython.png" \
+		"drpython" "Development;IDE;" ""
+
+post-patch:
+	@${REINPLACE_CMD} -e \
+		'/postinst.py/d' ${WRKSRC}/setup.py
+	@${REINPLACE_CMD} -e \
+		's|firefox|xdg-open|' ${WRKSRC}/drPreferences.py
+
+pre-build:
+	@(cd ${WRKSRC}/docsrc && ${SETENV} ${MAKE_ENV} ${MAKE_CMD} html)
+	@(cd ${WRKSRC}/docsrc/_build/html && ${CP} -f *.html *.js \
+		${WRKSRC}/documentation)
+
+post-build:
 	@${ECHO_CMD} '#!/bin/sh' > ${WRKDIR}/drpython.sh
 	@${ECHO_CMD} 'exec ${PYTHON_CMD} -m drpython.drpython' >> ${WRKDIR}/drpython.sh
-	${INSTALL_SCRIPT} ${WRKDIR}/drpython.sh ${PREFIX}/bin/drpython
+
+post-install:
+	(cd ${WRKDIR} && ${INSTALL_SCRIPT} drpython.sh \
+		${STAGEDIR}${PREFIX}/bin/drpython)
 
 .include <bsd.port.mk>

Modified: head/devel/drpython/distinfo
==============================================================================
--- head/devel/drpython/distinfo	Sat Apr 26 02:32:10 2014	(r352214)
+++ head/devel/drpython/distinfo	Sat Apr 26 02:33:55 2014	(r352215)
@@ -1,2 +1,2 @@
-SHA256 (DrPython_3.11.3.zip) = 62672a0a25a60f8efa976b2329108e129c7b1977b1e4975b46607dd61cf80f48
-SIZE (DrPython_3.11.3.zip) = 636799
+SHA256 (DrPython_3.11.4.zip) = 37a2e4873fb6accd1145f89518db101458c2f43fbc3ea7cf3e2de446bf353f42
+SIZE (DrPython_3.11.4.zip) = 824982

Added: head/devel/drpython/files/patch-drToolBarDialog.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/drpython/files/patch-drToolBarDialog.py	Sat Apr 26 02:33:55 2014	(r352215)
@@ -0,0 +1,11 @@
+--- drToolBarDialog.py.orig
++++ drToolBarDialog.py
+@@ -36,7 +36,7 @@
+         text = f.read()
+         f.close()
+     except:
+-        drScrolledMessageDialog.ShowMessage(frame, "File error with: '" + filename + "".", "ERROR")
++        drScrolledMessageDialog.ShowMessage(frame, "File error with: '" + filename + "'.", "ERROR")
+         return []
+ 
+         # modified 22/10/2006 Jean-Pierre MANDON

Modified: head/devel/drpython/pkg-descr
==============================================================================
--- head/devel/drpython/pkg-descr	Sat Apr 26 02:32:10 2014	(r352214)
+++ head/devel/drpython/pkg-descr	Sat Apr 26 02:33:55 2014	(r352215)
@@ -1,5 +1,5 @@
-DrPython is a highly customizable, extensible editor/environment for developing
-programs written in the Python programming Language.  It is implemented in
-wxPython.
+DrPython is a highly customizable, extensible editor/environment for
+developing programs written in the Python programming Language. It is
+implemented in wxPython.
 
 WWW: http://drpython.sourceforge.net/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"